<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools">

    <application tools:replace="android:allowBackup" android:allowBackup="false" android:icon="@mipmap/ic_launcher" android:label="@string/app_name" android:roundIcon="@mipmap/ic_launcher_round" android:supportsRtl="true" android:theme="@style/AppTheme" android:usesCleartextTraffic="true" android:fullBackupOnly="false">

        <activity android:configChanges="orientation|keyboardHidden|keyboard|screenSize|locale|smallestScreenSize|screenLayout|uiMode" android:name="com.globaljain.android.MainActivity" android:label="@string/title_activity_main" android:theme="@style/AppTheme.NoActionBarLaunch" android:launchMode="singleTask" android:exported="true" android:screenOrientation="portrait">

            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>

            <intent-filter android:autoVerify="true">
              <action android:name="android.intent.action.VIEW"/>
              <category android:name="android.intent.category.DEFAULT"/>
              <category android:name="android.intent.category.BROWSABLE"/>

              <data
                android:scheme="https"
                android:host="globaljain.net"
                android:pathPrefix="/contribution"
                tools:node="remove" />

              <data
                android:scheme="https"
                android:host="globaljain.net"
                android:pathPrefix="/privacy-policy"
                tools:node="remove" />

              <data
                android:scheme="https"
                android:host="globaljain.net"
                android:pathPrefix="/terms-and-conditions"
                tools:node="remove" />

              <data
                android:scheme="https"
                android:host="globaljain.net"
                android:pathPrefix="/page"
                android:pathPattern="/page(/.*)?" />

              <data
                android:scheme="https"
                android:host="www.globaljain.net"
                android:pathPrefix="/page"
                android:pathPattern="/page(/.*)?" />

              <data
                android:scheme="https"
                android:host="www.globaljain.net"
                android:pathPrefix="/auth"
                android:pathPattern="/auth(/.*)?" />

              <data
                android:scheme="https"
                android:host="globaljain.net"
                android:pathPrefix="/auth"
                android:pathPattern="/auth(/.*)?" />

              <data android:scheme="https" android:host="gjain.app.link"/>

            </intent-filter>

            <intent-filter>
              <action android:name="android.intent.action.SEND" />
              <action android:name="android.intent.action.SEND_MULTIPLE" />
              <category android:name="android.intent.category.DEFAULT" />
              <data android:mimeType="text/plain" />
              <data android:mimeType="image/*" />
          </intent-filter>

        </activity>

        <provider android:name="androidx.core.content.FileProvider" android:authorities="${applicationId}.fileprovider" android:exported="false" android:grantUriPermissions="true">
          <meta-data android:name="android.support.FILE_PROVIDER_PATHS" android:resource="@xml/file_paths">
          </meta-data>
        </provider>
    </application>

    <!-- Permissions -->

    <uses-permission android:name="android.permission.INTERNET"/>

    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES"/>
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />
    <uses-permission android:name="android.permission.READ_MEDIA_VISUAL_USER_SELECTED" />
</manifest>
